<?php 
/**
* @version      4.18.0 22.08.2018
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/
defined('_JEXEC') or die();

abstract class JshoppingHelperAssociation{

	public static function getAssociations($id = 0, $view = null, $layout = null){
        $jinput = JFactory::getApplication()->input;
		$view = $view === null ? $jinput->get('controller') : $view;
        if (!$view){
            $view = $jinput->get('view');
        }
		$component = $jinput->getCmd('option');
		$id = empty($id) ? $jinput->getInt('id') : $id;
        $task = $jinput->get('task');
        $product_id = $jinput->getInt('product_id');
        $category_id = $jinput->getInt('category_id');
        if ($component!='com_jshopping'){
            return [];
        }
		$languages = JLanguageHelper::getLanguages();
        
        $return = [];
		foreach($languages as $lang){
			if ($view=='product' && ($task=='' || $task=='view')){
				$return[$lang->lang_code] = 'index.php?option=com_jshopping&controller=product&task=view&category_id='.$category_id.'&product_id='.$product_id;
			}
			if ($view=='category' && $task=='view'){
				$return[$lang->lang_code] = 'index.php?option=com_jshopping&controller=category&task=view&category_id='.$category_id;
			}
		}
        return $return;
    }
    
}